Page MenuHomePhabricator

[EPIC] Display core version of history page
Closed, ResolvedPublic

Description

User story

As an experienced editor, I would like to be able to access the entire functionality of the history page from my mobile device so that I can perform my work on mobile

Acceptance criteria

  • all desktop functionality (with tentative exceptions TBD) will be available on mobile
  • diffs will navigate to the mobile diff page (rather than the desktop diff)

Most recent mockups

Notes from hackathon

POC: https://gerrit.wikimedia.org/r/#/q/topic:kiwi

Open questions

Action items

  • follow up on ad hoc date analysis for history page - some smaller things remaining, most highly trafficked links are covered https://phabricator.wikimedia.org/T214935
  • Discuss undo workflow
  • Review the history page as an admin

Event Timeline

ovasileva triaged this task as Normal priority.Feb 18 2019, 4:28 PM
ovasileva created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2019, 4:28 PM
Jdlrobson updated the task description. (Show Details)Feb 26 2019, 1:07 AM

Change 499240 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Consistently use classes for deleted items in lists of diffs

https://gerrit.wikimedia.org/r/499240

Change 499265 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Separate time from date in history page timestamp

https://gerrit.wikimedia.org/r/499265

Change 499268 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] POC: History page is styled consistently with Special:MobileHistory

https://gerrit.wikimedia.org/r/499268

Change 499240 merged by jenkins-bot:
[mediawiki/core@master] Consistently use classes for deleted items in lists of diffs

https://gerrit.wikimedia.org/r/499240

Change 499336 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Separate time and date in Changeslist's

https://gerrit.wikimedia.org/r/499336

Change 499336 abandoned by Jdlrobson:
Separate time and date in Changeslist's

Reason:
The current page on mobile doesn't support i18n. The core one does. Separating these, would break that i18n since 2019-03-26T23:42:20 is a user preferered format.

The downside of not doing this, is additional noise to the mobile interface with repeated information but I will talk to Alex about how that might be consolidated.

https://gerrit.wikimedia.org/r/499336

Change 499864 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the SpecialMobile(History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

Change 499265 merged by jenkins-bot:
[mediawiki/core@master] DRY up rev link generation in History and Contributions

https://gerrit.wikimedia.org/r/499265

ovasileva raised the priority of this task from Normal to High.Apr 2 2019, 10:44 AM
ovasileva added a project: Readers-Web-Backlog.
ovasileva moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

I'm not sure how helpful this will be, but here is some additional CSS I added to the History page (building off the CSS @Jdrewniak wrote at the offsite hackathon), in order to get it to display like the screenshot in the description

input.mw-history-compareselectedversions-button {
	width: 100%;
	height: 50px;
	-webkit-appearance: unset;
	background: #3366cc;
	color: white;
	font-size: 18px;
	font-weight: 600;
	position: -webkit-sticky;
	top: 1px;
}

ul#pagehistory {
	padding: 0;
	list-style: none;
	margin-left: 0;
}

#pagehistory li {
	border-bottom: 1px solid #d4d4d4;
	padding: 0.5em 0;
	margin: 0;
}

#pagehistory li.selected {
	margin-top: 6px;
}

span.mw-history-histlinks {
	float: right;
}

#pagehistory li input[type=radio] {
	float: left;
	margin-right: 10px;
	border: 1px solid #3366cc;
	background: #3366cc;
	transform: sale(1.2);
}

#pagehistory li input[type=radio] {
	margin: 6px 12px 0 0;
}

#pagehistory li input[type=radio]:nth-child(3) {
	margin-right: 15px;
}

#pagehistory li.before input[name='oldid'], #pagehistory li.after input[name='diff'] {
	visibility: initial;
	opacity: 0.15;
}

#pagehistory li.selected {
	border: none;
	background: #eaecf0;
}

#pagehistory .history-user,
#pagehistory .comment,
#pagehistory .mw-tag-markers,
#pagehistory .mw-history-tools,
#pagehistory .mw-changeslist-separator {
	display: block;
	margin-left: 57px;
}

#pagehistory .history-size{
	margin-left: 54px;
}

#pagehistory .mw-changeslist-separator,
#pagehistory abbr {
	display: none;
}

Change 499864 abandoned by Jdlrobson:
Remove the SpecialMobile(Watchlist|History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

Change 501449 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Drop History override on mobile

https://gerrit.wikimedia.org/r/501449